@import url('https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;700&family=Noto+Serif:ital,wght@0,400;0,700;1,400;1,700&display=swap');

/* width */
::-webkit-scrollbar {
width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #eee; 
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #111; 
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #111; 
}

html {
    scroll-behavior: smooth;
}

body {
    height: 100%;
    margin: 0;
    font-family: 'Noto Serif', serif;
    background: #fff;
    color: #111;
    overflow-x: hidden;
}
h1 {
    font-size: 17vw;
    font-family: 'DM Sans', sans-serif;
    font-weight: 700;
    margin: 0;
    padding-left: 10px;
}
h2,h3 {
    font-size: 30px;
    font-family: 'DM Sans', sans-serif;
    font-weight: 700;
    margin: 0;
    margin-top: 50px;
    line-height: 1;
}
h3 {
    font-size: 25px;
    color: rgb(27, 27, 27);
}

p {
    font-size: 20px;
    line-height: 35px;
}

a {
    font-family: 'DM Sans', sans-serif;
    font-weight: 500;
    color: rgb(118, 63, 226);
    text-decoration: none;
    transition: .2s;
}
a:hover {
    opacity: .5;
}

ul {
    padding-left: 20px;
}
ol {
    display: inline-block;
    list-style: none;
    font-family: 'DM Sans', sans-serif;
}
ol li {
    padding-left: 10px;
    color: #111;
    font-weight: 400;
    font-size: 2.3vw;
}

li a {
    color: #111;
    font-weight: 400;
    font-size: 2.3vw;
}
ol li.h a {
    font-weight: 500;
}
ol li.h {
    padding-left: 0;
}
img {
    position: relative;
}
img::before {
    content: attr(alt);
    position: absolute;
    width: 100%;
    height: 25px;
    left: 0;
    top: 0;
    color: white;
}
.preview {
    position: fixed;
    right: 5px;
    top: 5px;
    width: 25vw;
    height: 16vw;
    border: none;
    background-color: #eee;
}
.close {
    position: fixed;
    right: 10px;
    top: 16.8vw;
    width: auto;
    height: 9px;
    border-radius: 20px;
    line-height: 6px;
    background-color: #eee;
    padding: 10px;
    color: #111;;
    font-family: 'DM Sans', sans-serif;
    cursor: pointer;
    border: 2px rgb(223, 223, 223) solid;
}

.me {
    width: 25vw;
    height: 30vw;
    position: fixed;
    left: 5px;
    top: 100px;
    text-align: center;
    transition: .8s;
    opacity: 0;
    pointer-events: none;
}
.me .image {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    background-image: url(media/slide.gif);
    background-size: cover;
    background-position: center;
}
.me.show {
    opacity: 1;
    pointer-events:all;
}

.front {
    background: #f9f458;
    color: #111;
    height: 55vw;
}
.index {
    background: #f9f458;
    color: #111;
    padding-bottom: 4em;
}
.content {
    width: 46vw;
    left: 27vw;
    position: relative;
}
.ref {
    background: #f9f458;
    color: #111;
    max-height: 50em;
    padding-bottom: 5em;
}

.container {
    display: flex;
    justify-content: center
}

.text {
    padding-left: 15px;
}
.text p {
    margin: 0;
}

#distorteded {
    margin-top: -100px;
}

.highlight {
    background-color: yellow;
    border-radius: 5px;
}
hr {
    width: 10px;
    height: 10px;
    background-color: #111;
    border-radius: 50%;
    border: none;

}
hr::before {
    width: 10px;
    height: 10px;
    background-color: #111;
    content: '';
    position: absolute;
    border-radius: 50%;
    left: 45%;
}
hr::after {
    width: 10px;
    height: 10px;
    background-color: #111;
    content: '';
    position: absolute;
    border-radius: 50%;
    right: 45%;
}
.center {
    text-align: center;
}

@media only screen and (max-width: 1150px) {
    .preview {
        width: 21vw;
        height: 16vw;
    }
    .me {
        width: 21vw;
        height: 30vw;
    }
    .content {
        width: 54vw;
        left: 23vw;
    }
}
@media only screen and (max-width: 1000px) {
    .preview {
        width: 17vw;
        height: 12vw;
    }
    .me {
        display: none;
    }
    .close {
        display: none;
    }
    .content {
        width: 62vw;
        left: 19vw;
    }
}
@media only screen and (max-width: 900px) {
    .preview {
        display: none;
    }
    .me {
        display: none;
    }
    .close {
        display: none;
    }
    .content {
        width: 74vw;
        left: 13vw;
    }
    p {
        font-size: 16px;
        line-height: 25px;
    }
    #distorteded {
        margin-top: -50px;
    }
}
@media only screen and (max-width: 830px) {
    .preview {
        display: none;
    }
    .me {
        display: none;
    }
    .close {
        display: none;
    }
    .content {
        width: 80vw;
        left: 10vw;
    }
    p {
        font-size: 16px;
        line-height: 25px;
    }
    #distorteded {
        margin-top: -50px;
    }
}